Bug 189269 - system freezes when unplugging iPod
system freezes when unplugging iPod
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 14:14 EDT by Florin Andrei
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:04:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2006-04-18 14:14:15 EDT
Description of problem:
I've a 3rd gen iPod a.k.a. "iPod with dock connector" running iPod software v2.3
and is formatted in a "Windows" format (probably VFAT):

http://docs.info.apple.com/article.html?artnum=61688#dockconnector

The iPod is connected via FireWire to the computer. When I pull the FireWire
cord from the iPod, the PC freezes completely. It does not restart, it's just
solid frozen, doesn't even respond to ping, Alt-SysRq does not work. I have to
hit Reset.
I'm not positive it's a kernel issue, but that's what seems most likely to me.

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2080_FC5

How reproducible:
Apparently not quite every single time, but often enough to be very annoying.

Steps to Reproduce:
1. Boot Fedora, log in to the Gnome Desktop
2. Plug the iPod in
3. Go to Places / Computer, double-click on the iPod icon to mount the iPod
4. Sync the iPod via Banshee or GtkPod
5. Close Banshee or GtkPod, right-click in Computer on the iPod icon and eject it
6. Unplug FireWire from iPod
7. Boom!
  
Actual results:
System is solid frozen, doesn't respond to any keys (including Alt-SysRq
combinations), doesn't respond to ping.

Expected results:
iPod should unplug with no impact on the system.

Additional info:
This is a new issue that only started to occur on FC5. Previously I used the
iPod with Fedora on this computer (no hardware changes) with no problems.
I do not know if it occurs with the original FC5 kernel, I started to sync the
iPod after updating to the latest FC5 kernel update (2080).

This machine is very stable and works without any problems under a variety of
heavy workloads (FireWire video capture, editing, transcoding, DVD authoring).
Comment 1 Florin Andrei 2006-04-18 14:17:27 EDT
This is especially frustrating since, for the first time, on FC5 with Banshee
syncing the iPod seems to work really well and seamlessly.

If any other information is needed, or if I have to run some tests, please let
me know.
Comment 2 Dave Jones 2006-10-16 20:36:45 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:04:59 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.